# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0029_payment_info_extend'),
    ]

    operations = [
        migrations.AddField(
            model_name='reporter',
            name='badges',
            field=models.ManyToManyField(related_name='holders', through='core.UserBadge', to='core.Badge'),
            preserve_default=True,
        ),
        migrations.AlterField(
            model_name='badge',
            name='trigger',
            field=models.IntegerField(default=None, null=True, blank=True, choices=[(0, 'None'), (1, 'None'), (2, 'None'), (3, 'None'), (4, 'None'), (5, 'best_verified_bug'), (6, 'yandex_sponsored')]),
            preserve_default=True,
        ),
        migrations.AlterField(
            model_name='userbadge',
            name='user',
            field=models.ForeignKey(to='core.Reporter'),
            preserve_default=True,
        ),
    ]
